Saltar para o conteúdo

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
Transferir a descrição da OpenAPI
Idiomas
Servidores
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/pt/api/catalog/
Operações
Operações
Operações
Operações
Operações
Operações

Atualizar jogo por IDServer-sideAdmin

Pedido

Atualiza um jogo no projeto por ID.

Segurança
basicAuth
Caminho
project_idintegerobrigatório

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Exemplo: 44056
item_idstringobrigatório

ID do item.

Exemplo: 656
Corpoapplication/jsonobrigatório

Objeto com dados de jogo.

attributesArray of objects(Game-Keys_admin-post-put-attributes)<= 20 items

Lista de atributos.

Atenção. Não é possível especificar mais de 20 atributos para o item. Qualquer tentativa de exceder o limite resulta em um erro.
attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$obrigatório

ID de atributo exclusivo. O external_id só pode conter caracteres alfanuméricos latinos minúsculos e maiúsculos, traços e sublinhados.

attributes[].​nameobject(admin-attribute-name)

Objeto com localizações para o nome do atributo. As chaves são especificadas no formato ISO 3166-1.

attributes[].​name.​property name*stringpropriedade adicional
attributes[].​valuesArray of objects(attribute-value)obrigatório
Atenção. Não é possível criar mais de 6 valores para cada atributo. Qualquer tentativa de exceder o limite resulta em um erro.
Exemplo: [{"external_id":"strategy","value":{"de":"Strategie","en":"Strategy"}},{"external_id":"action","value":{"de":"Aktion","en":"Action"}}]
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$obrigatório

ID de valor exclusivo para um atributo. O external_id pode conter apenas caracteres alfanuméricos latinos minúsculos, traços e sublinhados.

Exemplo: "value_external_id"
attributes[].​values[].​valueobject(value-name)obrigatório

Objeto com traduções do nome do valor. As chaves são especificadas no formato ISO 3166-1.

attributes[].​values[].​value.​property name*stringpropriedade adicional
description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

Objeto com traduções para a descrição do item. Aceita valores em um dos dois formatos: códigos de idioma minúsculos de duas letras (por exemplo, en) ou códigos de localidade de cinco caracteres (por exemplo, en-US). Embora ambos os formatos sejam aceitos, as respostas retornam códigos de idioma minúsculos de duas letras. Quando ambas as opções para o mesmo idioma são fornecidas (por exemplo, en e en-US), o último valor fornecido é armazenado. Você pode encontrar a lista completa de idiomas suportados na documentação.

Exemplo: {"en-US":"Game description","ru-RU":"Краткое описание игры"}
Any of:

Códigos de idioma minúsculos de duas letras.

description.​arstring or null

Árabe

description.​bgstring or null

Búlgaro

description.​cnstring or null

Chinês (Simplificado)

description.​csstring or null

Tcheco

description.​destring or null

Alemão

description.​enstring or null

Inglês

description.​esstring or null

Espanhol (Espanha)

description.​frstring or null

Francês

description.​hestring or null

Hebraico

description.​idstring or null

Indonésio

description.​itstring or null

Italiano

description.​jastring or null

Japonês

description.​kmstring or null

Khmer

description.​kostring or null

Coreano

description.​lostring or null

Lao

description.​mystring or null

Birmanês

description.​nestring or null

Nepalês

description.​phstring or null

Filipino

description.​plstring or null

Polonês

description.​ptstring or null

Português

description.​rostring or null

Romeno

description.​rustring or null

Russo

description.​thstring or null

Tailandês

description.​trstring or null

Turco

description.​twstring or null

Chinês (Tradicional)

description.​vistring or null

Vietnamita

groupsArray of objects

Grupo aos quais o item pertence.

Exemplo: ["new_games"]
groups[].​external_idstringobrigatório
Exemplo: "horror"
image_urlstring

URL da imagem.

Exemplo: "http://image.png"
is_enabledboolean

Se desabilitado, o item não poderá ser comprado nem acessado pelo inventário.

Exemplo: true
is_show_in_storeboolean

O item está disponível para compra.

Exemplo: true
long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

Objeto com traduções para a descrição longa do item. Aceita valores em um dos dois formatos: códigos de idioma minúsculos de duas letras (por exemplo, en) ou códigos de localidade de cinco caracteres (por exemplo, en-US). Embora ambos os formatos sejam aceitos, as respostas retornam códigos de idioma minúsculos de duas letras. Quando ambas as variantes para o mesmo idioma são fornecidas (por exemplo, en e en-US), o último valor fornecido é armazenado. Você pode encontrar a lista completa de idiomas suportados na documentação.

Exemplo: {"en-US":"Game long description","ru-RU":"Полное описание игры"}
Any of:

Códigos de idioma minúsculos de duas letras.

long_description.​arstring or null

Árabe

long_description.​bgstring or null

Búlgaro

long_description.​cnstring or null

Chinês (Simplificado)

long_description.​csstring or null

Tcheco

long_description.​destring or null

Alemão

long_description.​enstring or null

Inglês

long_description.​esstring or null

Espanhol (Espanha)

long_description.​frstring or null

Francês

long_description.​hestring or null

Hebraico

long_description.​idstring or null

Indonésio

long_description.​itstring or null

Italiano

long_description.​jastring or null

Japonês

long_description.​kmstring or null

Khmer

long_description.​kostring or null

Coreano

long_description.​lostring or null

Lao

long_description.​mystring or null

Birmanês

long_description.​nestring or null

Nepalês

long_description.​phstring or null

Filipino

long_description.​plstring or null

Polonês

long_description.​ptstring or null

Português

long_description.​rostring or null

Romeno

long_description.​rustring or null

Russo

long_description.​thstring or null

Tailandês

long_description.​trstring or null

Turco

long_description.​twstring or null

Chinês (Tradicional)

long_description.​vistring or null

Vietnamita

media_listArray of objects

Recursos adicionais do jogo, como capturas de tela, vídeo de jogabilidade, etc.

Exemplo: [{"type":"image","url":"http://image.png"},{"type":"video","url":"http://video.png"}]
media_list[].​typestring

Tipo de mídia: image/video.

Enum"image""video"
Exemplo: "image"
media_list[].​urlstring

Arquivo de recurso.

Exemplo: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)obrigatório

Objeto com traduções para o nome do item. Aceita valores em um dos dois formatos: códigos de idioma minúsculos de duas letras (por exemplo, en) ou códigos de idioma de cinco caracteres (por exemplo, en-US). Embora ambos os formatos sejam aceitos, as respostas retornam códigos de idioma minúsculos de duas letras. Quando ambas as opções para o mesmo idioma são fornecidas (por exemplo, en e en-US), o último valor fornecido é armazenado. Você pode encontrar a lista completa de idiomas suportados na documentação.

Exemplo: {"en-US":"Game name","ru-RU":"Название игры"}
Any of:

Códigos de idioma minúsculos de duas letras.

name.​arstring or null

Árabe

name.​bgstring or null

Búlgaro

name.​cnstring or null

Chinês (Simplificado)

name.​csstring or null

Tcheco

name.​destring or null

Alemão

name.​enstring or null

Inglês

name.​esstring or null

Espanhol (Espanha)

name.​frstring or null

Francês

name.​hestring or null

Hebraico

name.​idstring or null

Indonésio

name.​itstring or null

Italiano

name.​jastring or null

Japonês

name.​kmstring or null

Khmer

name.​kostring or null

Coreano

name.​lostring or null

Lao

name.​mystring or null

Birmanês

name.​nestring or null

Nepalês

name.​phstring or null

Filipino

name.​plstring or null

Polonês

name.​ptstring or null

Português

name.​rostring or null

Romeno

name.​rustring or null

Russo

name.​thstring or null

Tailandês

name.​trstring or null

Turco

name.​twstring or null

Chinês (Tradicional)

name.​vistring or null

Vietnamita

orderinteger

Prioridade da ordem de jogos na lista.

Exemplo: 1
skustring[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$obrigatório

ID de item exclusivo. O SKU só pode conter caracteres alfanuméricos latinos minúsculos e maiúsculos, pontos, traços e sublinhados.

Exemplo: "com.xsolla.game_1"
unit_itemsArray of objectsobrigatório

Chaves de jogo para diferentes DRMs.

Exemplo: [{"drm_sku":"steam_key_1","is_enabled":true,"is_free":false,"is_show_in_store":true,"limits":{"per_item":{"available":5000,"reserved":500,"sold":4500,"total":10000},"per_user":{"total":5}},"name":{"en-US":"Game key name","ru-RU":"Название игрового ключа"},"periods":[{"date_from":"2020-08-11T10:00:00+03:00","date_until":"2020-08-11T20:00:00+03:00"}],"pre_order":{"description":"Some description","is_enabled":true,"release_date":"2020-08-11T10:00:00+03:00"},"prices":[{"amount":35.5,"currency":"USD","is_default":true,"is_enabled":true}],"regions":[{"id":12},{"id":64}],"sku":"com.xsolla.game_key_1","vc_prices":[{"amount":35.5,"is_default":true,"is_enabled":true,"sku":"com.xsolla.gold_1"}]}]
unit_items[].​attributesArray of objects(Game-Keys_admin-attributes)

Lista de atributos.

Exemplo: [{"external_id":"attribute_external_id","name":{"de":"Attributname","en":"Attribute name"},"values":[{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]}]
unit_items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$obrigatório

ID de atributo exclusivo. O external_id só pode conter caracteres alfanuméricos latinos minúsculos e maiúsculos, traços e sublinhados.

Exemplo: "attribute_external_id"
unit_items[].​attributes[].​nameobject(admin-attribute-name)

Objeto com localizações para o nome do atributo. As chaves são especificadas no formato ISO 3166-1.

Exemplo: {"de":"Attributname","en":"Attribute name"}
unit_items[].​attributes[].​name.​property name*stringpropriedade adicional
unit_items[].​attributes[].​valuesArray of objects(attribute-value)obrigatório
Exemplo: [{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]
unit_items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$obrigatório

ID de valor exclusivo para um atributo. O external_id pode conter apenas caracteres alfanuméricos latinos minúsculos, traços e sublinhados.

Exemplo: "value_external_id"
unit_items[].​attributes[].​values[].​valueobject(value-name)obrigatório

Objeto com traduções do nome do valor. As chaves são especificadas no formato ISO 3166-1.

unit_items[].​attributes[].​values[].​value.​property name*stringpropriedade adicional
unit_items[].​drm_skustringobrigatório

ID de DRM exclusivo.

Exemplo: "steam"
unit_items[].​groupsArray of objects

Grupo aos quais o item pertence.

unit_items[].​groups[].​external_idstringobrigatório
Exemplo: "horror"
unit_items[].​is_enabledboolean

Se desabilitado, o item não poderá ser comprado nem acessado pelo inventário.

unit_items[].​is_freeboolean(value-is_free)

Se o item é gratuito ou não.

unit_items[].​is_show_in_storeboolean

O item está disponível para compra.

unit_items[].​limitsobject(Game-key-item-limit)

Limites de itens.

unit_items[].​limits.​per_iteminteger or null(limit_per_item)

Limitação global de itens.

unit_items[].​limits.​per_userlimit_per_user (null) or limit_per_user (integer) or limit_per_user (object)(limit_per_user)

Limitação de item para um usuário separado.

Any of:

Limitação de item para um usuário separado.

null(limit_per_user)
unit_items[].​limits.​recurrent_scheduleobject or null(game_key_recurrent_schedule)

Limite o período de atualização.

unit_items[].​limits.​recurrent_schedule.​per_userinterval_type = diariamente (object) or interval_type = semanal (object) or interval_type = mensal (object)
One of:

Tipo diário de atualização de limites de usuário.

unit_items[].​limits.​recurrent_schedule.​per_user.​interval_typestringobrigatório

Período de atualização recorrente.

Valor"daily"
unit_items[].​limits.​recurrent_schedule.​per_user.​timestring((0[0-9]|1[0-9]|2[0-3]):00:00)(\+|-)(0[0-9]|1...obrigatório

Tempo de atualização do limite no fuso horário desejado (arredondamento para horas).

Exemplo: "02:00:00+03:00"
unit_items[].​name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)

Objeto com traduções para o nome do item. Aceita valores em um dos dois formatos: códigos de idioma minúsculos de duas letras (por exemplo, en) ou códigos de idioma de cinco caracteres (por exemplo, en-US). Embora ambos os formatos sejam aceitos, as respostas retornam códigos de idioma minúsculos de duas letras. Quando ambas as opções para o mesmo idioma são fornecidas (por exemplo, en e en-US), o último valor fornecido é armazenado. Você pode encontrar a lista completa de idiomas suportados na documentação.

Any of:

Códigos de idioma minúsculos de duas letras.

unit_items[].​name.​arstring or null

Árabe

unit_items[].​name.​bgstring or null

Búlgaro

unit_items[].​name.​cnstring or null

Chinês (Simplificado)

unit_items[].​name.​csstring or null

Tcheco

unit_items[].​name.​destring or null

Alemão

unit_items[].​name.​enstring or null

Inglês

unit_items[].​name.​esstring or null

Espanhol (Espanha)

unit_items[].​name.​frstring or null

Francês

unit_items[].​name.​hestring or null

Hebraico

unit_items[].​name.​idstring or null

Indonésio

unit_items[].​name.​itstring or null

Italiano

unit_items[].​name.​jastring or null

Japonês

unit_items[].​name.​kmstring or null

Khmer

unit_items[].​name.​kostring or null

Coreano

unit_items[].​name.​lostring or null

Lao

unit_items[].​name.​mystring or null

Birmanês

unit_items[].​name.​nestring or null

Nepalês

unit_items[].​name.​phstring or null

Filipino

unit_items[].​name.​plstring or null

Polonês

unit_items[].​name.​ptstring or null

Português

unit_items[].​name.​rostring or null

Romeno

unit_items[].​name.​rustring or null

Russo

unit_items[].​name.​thstring or null

Tailandês

unit_items[].​name.​trstring or null

Turco

unit_items[].​name.​twstring or null

Chinês (Tradicional)

unit_items[].​name.​vistring or null

Vietnamita

unit_items[].​orderinteger

Prioridade da ordem de jogos na lista.

Exemplo: 1
unit_items[].​periodsArray of objects or null(item-periods)

Período de venda de itens.

unit_items[].​periods[].​date_fromstring(date-time)

Data em que o item especificado estará disponível para venda.

Exemplo: "2020-08-11T10:00:00+03:00"
unit_items[].​periods[].​date_untilstring or null(date-time)

Data em que o item especificado ficará indisponível para venda. Pode ser null.

Exemplo: "2020-08-11T20:00:00+03:00"
unit_items[].​pre_orderobject

Configurações de pré-venda.

unit_items[].​pre_order.​descriptionstring

Informações adicionais para a pré-venda, que serão enviadas por e-mail.

unit_items[].​pre_order.​is_enabledbooleanobrigatório

Se desabilitado, o item não é uma pré-venda.

unit_items[].​pre_order.​release_datestringobrigatório

Data de lançamento da chave de jogo no formato ISO 8601.

unit_items[].​pricesArray of objectsobrigatório

Preços em moedas reais.

unit_items[].​prices[].​amountnumberobrigatório
Exemplo: 1299.99
unit_items[].​prices[].​currencystringobrigatório

Moeda do preço do item. Código de três letras de acordo com a ISO 4217. Consulte a documentação para obter informações detalhadas sobre as moedas suportadas pelo Xsolla.

Exemplo: "RUB"
unit_items[].​prices[].​is_defaultbooleanobrigatório

O preço padrão é usado para criar o catálogo se nenhum preço for especificado na moeda do usuário.

unit_items[].​prices[].​is_enabledbooleanobrigatório
unit_items[].​regionsArray of objects(Game-Keys_regions)
unit_items[].​regions[].​idinteger
Exemplo: 1
unit_items[].​skustring[ 1 .. 255 ] charactersobrigatório

ID de item exclusivo. O SKU só pode conter caracteres alfanuméricos latinos minúsculos e maiúsculos, pontos, traços e sublinhados.

Exemplo: "game_1"
unit_items[].​vc_pricesArray of objects
unit_items[].​vc_prices[].​amountnumberobrigatório
unit_items[].​vc_prices[].​is_defaultbooleanobrigatório
unit_items[].​vc_prices[].​is_enabledbooleanobrigatório
unit_items[].​vc_prices[].​skustring

ID de item exclusivo. O SKU só pode conter caracteres alfanuméricos latinos minúsculos e maiúsculos, pontos, traços e sublinhados.

Exemplo: "gold"
curl -i -X PUT \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/game/id/656 \
  -H 'Content-Type: application/json' \
  -d '{
    "description": {
      "en-US": "Game description",
      "ru-RU": "Краткое описание игры"
    },
    "groups": [
      "new_games"
    ],
    "image_url": "http://image.png",
    "is_enabled": true,
    "is_show_in_store": true,
    "long_description": {
      "en-US": "Game long description",
      "ru-RU": "Полное описание игры"
    },
    "media_list": [
      {
        "type": "image",
        "url": "http://image.png"
      },
      {
        "type": "video",
        "url": "http://video.png"
      }
    ],
    "name": {
      "en-US": "Game name",
      "ru-RU": "Название игры"
    },
    "sku": "com.xsolla.game_1",
    "unit_items": [
      {
        "drm_sku": "steam_key_1",
        "is_enabled": true,
        "is_free": false,
        "is_show_in_store": true,
        "limits": {
          "per_item": {
            "available": 5000,
            "reserved": 500,
            "sold": 4500,
            "total": 10000
          },
          "per_user": {
            "total": 5
          }
        },
        "name": {
          "en-US": "Game key name",
          "ru-RU": "Название игрового ключа"
        },
        "periods": [
          {
            "date_from": "2020-08-11T10:00:00+03:00",
            "date_until": "2020-08-11T20:00:00+03:00"
          }
        ],
        "pre_order": {
          "description": "Some description",
          "is_enabled": true,
          "release_date": "2020-08-11T10:00:00+03:00"
        },
        "prices": [
          {
            "amount": 35.5,
            "currency": "USD",
            "is_default": true,
            "is_enabled": true
          }
        ],
        "regions": [
          {
            "id": 12
          },
          {
            "id": 64
          }
        ],
        "sku": "com.xsolla.game_key_1",
        "vc_prices": [
          {
            "amount": 35.5,
            "is_default": true,
            "is_enabled": true,
            "sku": "com.xsolla.gold_1"
          }
        ]
      }
    ]
  }'

Respostas

O jogo foi atualizado com sucesso.

Resposta
Sem conteúdo

Excluir códigos por IDServer-sideAdmin

Pedido

Exclui todos os códigos por ID de chave de jogo.

Segurança
basicAuth
Caminho
project_idintegerobrigatório

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Exemplo: 44056
item_idstringobrigatório

ID do item.

Exemplo: 656
Consulta
user_emailstringobrigatório

E-mail do usuário.

Exemplo: user_email=email@email.com
reasonstringobrigatório

Razão de recebimento de códigos.

Exemplo: reason=Very important
region_idinteger

ID de região.

Padrão 1
curl -i -X DELETE \
  -u <username>:<password> \
  'https://store.xsolla.com/api/v2/project/44056/admin/items/game/key/delete/id/656?user_email=email%40email.com&reason=Very+important&region_id=1'

Respostas

Os códigos foram recebidos com sucesso.

Corpotext/plain
string
Resposta
text/plain
PIN-CODE-ALL PIN-CODE-ALL-3

Pedido

Exclui todos os códigos por SKU de chave de jogo.

Segurança
basicAuth
Caminho
project_idintegerobrigatório

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Exemplo: 44056
item_skustringobrigatório

SKU do item.

Exemplo: booster_mega_1
Consulta
user_emailstringobrigatório

E-mail do usuário.

Exemplo: user_email=email@email.com
reasonstringobrigatório

Razão de recebimento de códigos.

Exemplo: reason=Very important
region_idinteger

ID de região.

Padrão 1
curl -i -X DELETE \
  -u <username>:<password> \
  'https://store.xsolla.com/api/v2/project/44056/admin/items/game/key/delete/sku/booster_mega_1?user_email=email%40email.com&reason=Very+important&region_id=1'

Respostas

Os códigos foram recebidos com sucesso.

Corpotext/plain
string
Resposta
text/plain
PIN-CODE-ALL PIN-CODE-ALL-3
Operações
Operações
Operações
Operações
Operações
Operações
Operações
Operações
Operações
Operações
Operações
Operações

Catálogo

Esta API permite obter qualquer tipo de itens vendáveis ou itens específicos.

Operações
Operações
Operações
Operações
Operações